Bug 427514 - Review Request: libnova - Libnova is a general purpose astronomy & astrodynamics library
Review Request: libnova - Libnova is a general purpose astronomy & astrodynam...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 06:13 EST by Huzaifa S. Sidhpurwala
Modified: 2014-12-02 08:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 10:08:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2008-01-04 06:13:45 EST
Spec URL: http://www.geocities.com/fatema_mhs/libnova.spec
SRPM URL: http://www.geocities.com/fatema_mhs/libnova.spec
Description: 
Libnova is a general purpose, double precision, celestial mechanics, 
astrometry and astrodynamics library
Comment 1 Huzaifa S. Sidhpurwala 2008-01-04 06:17:11 EST
Sorry about the wrong links:
Spec URL: http://www.geocities.com/fatema_mhs/libnova.spec
SRPM URL: http://www.geocities.com/fatema_mhs/libnova-0.12.1-0.fc8.src.rpm
Comment 2 Parag AN(पराग) 2008-01-04 06:47:29 EST
1) Review guidelines suggests that 
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
   and as -devel package does not provide any .pc you should drop that.
2) Under %files section of -devel change following line 
 %{_includedir}/libnova/*.h
 to
 %{_includedir}/libnova
  this will ensure that packages owns this directory also. Otherwise it will be
owning only %{_includedir}/libnova/*.h files

3)This package contains COPYING which is main file for any package so add it to
%doc for libnova and libnova-devel 
License tag should be here LGPLv2+

4) good to add examples/*.c to %doc of %files section of -devel 



  
Comment 3 Huzaifa S. Sidhpurwala 2008-01-06 22:06:01 EST
Thanks a lot for reviewing, Changes made:
Spec File: http://www.geocities.com/fatema_mhs/libnova.spec.txt
SRPM:      http://www.geocities.com/fatema_mhs/libnova-0.12.1-1.fc8.src.rpm
Comment 4 Parag AN(पराग) 2008-01-07 03:37:10 EST
This package does not follow compiler flags as per 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8b14098227aebff1cf6188939e9d0877295ac448
==> use make command in spec as
make CFLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}


Comment 5 Huzaifa S. Sidhpurwala 2008-01-07 04:05:39 EST
Changes made, same place for the spec and SRPM
Comment 6 Parag AN(पराग) 2008-01-07 05:42:28 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8f4c6860aa627c5d0694b8bb5699fe7f  libnova-0.12.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libnova-0.12.1-1.fc9 ->
  Provides: libnova-0.12.so.1
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libm.so.6
libm.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) libnova-0.12.so.1 rtld(GNU_HASH)
+ Package libnova-devel-0.12.1-1.fc9 ->
  Requires: libnova = 0.12.1-1.fc9 libnova-0.12.so.1
+ Not a GUI App.
APPROVED.


I have sponsored you. Follow CVSAdminProcedure.
Comment 7 Huzaifa S. Sidhpurwala 2008-01-07 20:49:47 EST
New Package CVS Request
=======================
Package Name: libnova
Short Description: Libnova is a general purpose astronomy & astrodynamics library
Owners: huzaifas
Branches: F-8
InitialCC: huzaifas
Cvsextras Commits: no
    
Comment 8 Kevin Fenzi 2008-01-07 22:21:30 EST
cvs done.

Any particular reason to not allow cvsextras commits? 
Comment 9 Huzaifa S. Sidhpurwala 2008-01-07 22:26:07 EST
No,
Sorry i copy pasted this from somewhere else and this is an oversight
Can you do this please.
Comment 10 Kevin Fenzi 2008-01-07 22:37:07 EST
cvsextras added. Thanks. 
Comment 11 Parag AN(पराग) 2008-01-12 10:08:18 EST
Closing this Review ticket as this package is successfully built on koji for
requested branches.
Comment 12 Christian Dersch 2014-06-03 04:39:52 EDT
Package Change Request
======================
Package Name: libnova
New Branches: epel7
Owners: lupinix
InitialCC: lupinix

We need this package for libindi in EPEL7.
Comment 13 Jon Ciesla 2014-12-01 10:43:18 EST
Comments from the primary maintainers?
Comment 14 Christian Dersch 2014-12-01 11:10:00 EST
Sent an email about two months ago to the maintainer without any reaction :(
Comment 15 Huzaifa S. Sidhpurwala 2014-12-01 21:04:12 EST
(In reply to Christian Dersch from comment #14)
> Sent an email about two months ago to the maintainer without any reaction :(

I am here, sorry was pretty busy with stuff. I dont mind you maintaining EPEL.
In future NEEDINFO on a bug is the best way to get my attention :)
Comment 16 Christian Dersch 2014-12-02 05:11:32 EST
Package Change Request
======================
Package Name: libnova
New Branches: epel7
Owners: lupinix
InitialCC:
Comment 17 Jon Ciesla 2014-12-02 08:42:16 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.